/*
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "fsitem.h"
#include <QGraphicsLinearLayout>
#include <KUser>
#include <QGraphicsSceneResizeEvent>

FsItem::FsItem(QGraphicsWidget* parent): PlasmoidHoveredItem(parent), eject(0),parentWidget(0)
{
	eject=new Plasma::IconWidget(this);
	eject->setMaximumWidth(18);
	eject->setIcon("media-eject");
	getLayout()->addItem(eject);
	icon->setMaximumWidth(24);
	icon->setMinimumWidth(24);
	setMinimumHeight(40);
	setMaximumHeight(40);
	connect (this,SIGNAL(clicked()),this,SLOT(slotClicked()));
	connect(eject,SIGNAL(clicked()),this,SLOT(slotEject()));
	parentWidget=parent;
	label->setMaximumWidth(140);
	label->setScaledContents(true);
	setToolTip(i18n("Click to open with dolphin"));
	eject->setToolTip(i18n("Click to eject"));
}

FsItem::~FsItem()
{

}

void FsItem::setText(QString text)
{
	intText=text;
	KUser user;
	// x2goserver <= 3.1.1.2
	text.replace("/tmp/"+user.loginName()+"_media/disk/","");
	text.replace("/tmp/"+user.loginName()+"_media/cd/","");
	text.replace("/tmp/"+user.loginName()+"_media/rm/","");
	// recent x2goserver
	text.replace("/tmp/.x2go-"+user.loginName()+"/media/disk/","");
	text.replace("/tmp/.x2go-"+user.loginName()+"/media/cd/","");
	text.replace("/tmp/.x2go-"+user.loginName()+"/media/rm/","");
	text.replace("_","/");
	PlasmoidHoveredItem::setText(text);
}

QString FsItem::text()
{
	return intText;
}

void FsItem::slotClicked()
{
	emit itemClicked(intText);
}

void FsItem::slotEject()
{
	emit itemEject(intText);
}

